# classes/phing/util/ExtendedFileStream.php

## \ExtendedFileStream
jump to top

Extended file stream wrapper class which auto-creates directories

author
  Michiel Rook
package
  phing.util
version
  $Id: ExtendedFileStream.php 552 2009-08-29 12:18:13Z mrook $

### Properties

`$fp= 'NULL'`
Default value `NULL` Details

Type

### Methods

`createDirectories( $path ) :`
Parameters

Name | Type | Description
--- | --- | ---
$path |  |

`mkdir( $path, $mode, $options ) :`
Parameters

Name | Type | Description
--- | --- | ---
$path |  |
$mode |  |
$options |  |

`registerStream( ) :`
static
`rename( $path_from, $path_to ) :`
Parameters

Name | Type | Description
--- | --- | ---
$path_from |  |
$path_to |  |

`rmdir( $path, $options ) :`
Parameters

Name | Type | Description
--- | --- | ---
$path |  |
$options |  |

`stream_close( ) :`
`stream_eof( ) :`
`stream_flush( ) :`
`stream_open( $path, $mode, $options, $opened_path ) :`
Parameters

Name | Type | Description
--- | --- | ---
$path |  |
$mode |  |
$options |  |
$opened_path |  |

`stream_read( $count ) :`
Parameters

Name | Type | Description
--- | --- | ---
$count |  |

`stream_seek( $offset, $whence ) :`
Parameters

Name | Type | Description
--- | --- | ---
$offset |  |
$whence |  |

`stream_stat( ) :`
`stream_tell( ) :`
`stream_write( $data ) :`
Parameters

Name | Type | Description
--- | --- | ---
$data |  |

`unlink( $path ) :`
Parameters

Name | Type | Description
--- | --- | ---
$path |  |

`unregisterStream( ) :`
static
Documentation was generated by DocBlox 0.13.1.